#
# spec file for package tango-icon-theme
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tango-icon-theme
Version:        0.8.90
Release:        bp155.2.12
Summary:        Tango Icon Theme
License:        CC-BY-SA-2.5
Group:          System/GUI/GNOME
URL:            http://tango.freedesktop.org/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-extras-0.1.1.tar.bz2
# PATCH-FIX-UPSTREAM tango-icon-theme-rsvg-2_35_2.patch fdo#45803 dimstar@opensuse.org -- Fix build with librsvg 2.35.2: /usr/bin/rsvg was a deprecated wrapper.
Patch0:         tango-icon-theme-rsvg-2_35_2.patch
# PATCH-FIX-UPSTREAM tango-icon-theme-extras-rsvg-2_35_2.patch fdo#45803 dimstar@opensuse.org -- Fix build with librsvg 2.35.2: /usr/bin/rsvg was a deprecated wrapper.
Patch1:         tango-icon-theme-extras-rsvg-2_35_2.patch
# PATCH-FIX-UPSTREAM tango-icon-theme-reproducible.patch fdo#94510 bwiedemann@suse.com -- Drop png timestamps.
Patch2:         tango-icon-theme-reproducible.patch
BuildRequires:  ImageMagick-devel
BuildRequires:  fdupes
BuildRequires:  icon-naming-utils
BuildRequires:  intltool
BuildRequires:  librsvg-devel
# Needed by patch0, patch1 and patch2
BuildRequires:  hicolor-icon-theme
BuildRequires:  libtool
BuildRequires:  rsvg-convert
Recommends:     gnome-icon-theme >= 2.12.0
BuildArch:      noarch

%description
This is the Tango base theme. On top of that, the package includes
some specific icons from the legacy tango-icon-theme-extras package.

%prep
%setup -q -b 1
%patch0 -p1
%patch2 -p1
cd ../%{name}-extras-0.1.1
%patch1 -p1
%patch2 -p1

%build
# Needed by patch0, patch1 and patch2.
autoreconf -fi
%configure --enable-png-creation
make %{?_smp_mflags}
cd ../%{name}-extras-0.1.1
# Needed by patch1
autoreconf -fi
%configure --enable-png-creation
%make_build

%install
%make_install
cd ../%{name}-extras-0.1.1
%make_install
%{icon_theme_cache_create_ghost Tango}
%fdupes %{buildroot}

%post
%icon_theme_cache_post Tango

# No need for %%icon_theme_cache_postun in %%postun since the theme won't exist anymore

%files
%license COPYING
%doc AUTHORS ChangeLog README
%ghost %{_datadir}/icons/Tango/icon-theme.cache
%{_datadir}/icons/Tango/

%changelog
* Fri Oct 18 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Replace rsvg-view with rsvg-convert BuildRequires: rsvg-view is
  no longer available, and rsvg-convert is what configure checks
  for anyway. Switch hicolor-icon-theme Requires for BuildRequires,
  needed now that we no longer pull rsvg-view.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Mar  8 2016 bwiedemann@suse.com
- Add tango-icon-theme-reproducible.patch to fix build-compare
  (fdo#94510).
* Wed Feb  8 2012 dimstar@opensuse.org
- Add tango-icon-theme-rsvg-2_35_2.patch and
  tango-icon-theme-extras-rsvg-2_35_2.patch: Fix build with rsvg
  2.35.2. /usr/bin/rsvg was a deprecated wrapper script for a while
  already and this script has been dropped with librsvg 2.35.2.
- Add libtool BuildRequires and call to autoreconf (in both tarball
  extracted folders), as the patches above touch the build system.
* Tue Dec 13 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Aug 25 2010 vuntz@opensuse.org
- Use the %%icon_theme_cache_* macros to make sure the icon theme
  cache is created/updated.
* Wed Dec 16 2009 jimmac@novell.com
- Remove the redundant KDE launcher icons. Oxygen provides style
  compatible icons that are better.
- Remove the random quake icon.
- Fix the device SVGs so they don't misrender. bnc#564913
* Mon Jul 27 2009 aj@suse.de
- Use fdupes.
* Fri Feb 27 2009 vuntz@novell.com
- Update to version 0.8.90:
  + text-x-script: add some text to address fdo#6203
  + 16x16/status/network-wireless-encrypted.png: slightly more
  recognisable shape.
  + emblem-unreadable: fix gradient to be more clear/readable.
    Fixes fdo#7550
  + scalable/status/folder-drag-accept.icon,
  scalable/status/folder-visiting.icon: fix typo. fdo#11092
  + audio-x-generic, computer, folder, folder-open,
    folder-drag-accept, folder-saved-search, folder-remote,
    input-keyboard, user-home, video-display: visual refresh. More
    consistant across sizes.
  + face-crying, face-devillish, face-glasses, face-grin,
    face-plain, face-sad, face-smile, face-smile-big,
    face-surprise, face-wink: new emotes. consistent across sizes.
    angle, monkey, kiss to do.
  + relicense to Public Domain
- The license of the package itself diesn't change because we have
  other sources in this package.
- Remove BuildRequires: update-desktop-files.
- Remove AutoReqProv since it's the default.
- Remove useless definition of prefix.
- Remove unneeded call to suse_update_config.
- Don't define CFLAGS to the default value.
- Use the configure macro.
- Use parallel make.
- Do not remove the build root at the beginning of install.
- Use makeinstall.
- Don't package empty NEWS file.
* Thu Apr  3 2008 hpj@suse.de
- Upgrade to version 0.8.1.
* Thu Aug 23 2007 dmueller@suse.de
- readd crystalsvg inhert (#268873)
* Fri Feb 16 2007 dobey@suse.de
- Update to version 0.8.0
* Sun Jan 28 2007 stbinner@suse.de
- move to /usr prefix
* Fri Aug 18 2006 aj@suse.de
- Reduce BuildRequires.
* Mon Jun 19 2006 dobey@suse.de
- Remove crystalsvg from Tango Inherits list
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=163547
* Fri Apr 21 2006 dobey@suse.de
- Update to version 0.7.2
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=167307
- Add konversation icon to kde-apps tarball
- Add quake3 app icons
* Fri Feb 24 2006 dobey@suse.de
- Update to version 0.7.1
- Update tango-kde-apps tarball to have proper bitmap directories
* Fri Feb 17 2006 dobey@suse.de
- Update to version 0.7.0
- Adds new volume applet status icons
- Adds new network status icons
- Fixes https://bugs.freedesktop.org/show_bug.cgi?id=5603
- Fixes minor issues with other icons
* Fri Feb  3 2006 dobey@suse.de
- Update to version 0.6.7
- Fixes some missing icons
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 dobey@suse.de
- Update to version 0.6.6
* Fri Jan 13 2006 dobey@suse.de
- Update to version 0.6.5
* Tue Jan 10 2006 dobey@suse.de
- Add in tango-icon-theme-extras 0.1.0 for DAP icons in banshee
* Fri Jan  6 2006 dobey@suse.de
- Update to 0.6.4
* Fri Dec 16 2005 dobey@suse.de
- Update to 0.6.3
* Mon Dec 12 2005 dobey@suse.de
- Update to 0.6.2
* Thu Dec  8 2005 dobey@suse.de
- Update to 0.6.1
* Wed Nov 30 2005 dobey@suse.de
- Update to 0.5.1
* Mon Nov 21 2005 dobey@suse.de
- Update to 0.5.0
* Mon Nov  7 2005 dobey@suse.de
- Update to 0.4.4
* Wed Oct 26 2005 dobey@suse.de
- Update to 0.3.3
* Wed Oct 19 2005 dobey@suse.de
- Update to 0.3.2.1
* Mon Oct 17 2005 gekker@suse.de
- Initial import into autobuild, Version 0.3.1
